Skip to content
Start here

Delete saved logo queries by ID

client.BrandProtection.Logos.Delete(ctx, logoID, body) error
DELETE/accounts/{account_id}/brand-protection/logos/{logo_id}

Return a success message after deleting saved logo queries by ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
logoID string
minLength1
body LogoDeleteParams
AccountID param.Field[string]
minLength1

Delete saved logo queries by ID

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.BrandProtection.Logos.Delete(
    context.TODO(),
    "x",
    brand_protection.LogoDeleteParams{
      AccountID: cloudflare.F("x"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples